﻿/*====================================
BRANDS
====================================*/

.mst-brands {
    background: #fafafa;
    overflow: hidden;
}

    .mst-brands .mst-description {
        color: var(--title);
    }

.mst-brand-slider {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.mst-brand-track {
    display: flex;
    width: max-content;
    animation: brandSlider 80s linear infinite;
}

.mst-brand-slider:hover .mst-brand-track {
    animation-play-state: paused;
}

.mst-brand-item {
    width: 260px;
    height: 170px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    border-radius: 24px;
    margin: 0 22px;
    box-shadow: 0 18px 45px rgba(0,0,0,.08);
    border: 1px solid rgba(0,0,0,.04);
    transition: .35s;
    flex-shrink: 0;
    width: auto;
    height: auto;
}

    .mst-brand-item img {
        max-width: 170px;
        max-height: 80px;
        filter: none;
        opacity: 1;
        transition: .45s cubic-bezier(.22,.61,.36,1);
    }

    .mst-brand-item:hover {
        transform: translateY(-10px);
        box-shadow: 0 20px 45px rgba(0,0,0,.10);
    }

        .mst-brand-item:hover img {
            filter: none;
            opacity: 1;
            transform: scale(1.08);
        }

@keyframes brandSlider {

    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(-50%);
    }
}

@media(max-width:768px) {

    .mst-brand-item {
        width: 170px;
        height: 100px;
        margin: 0 10px;
    }

        .mst-brand-item img {
            max-width: 100px;
        }
}
